Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap
Class OracleConstants

    java.lang.Object
      |
      +--oracle.soap.OracleConstants

public class OracleConstants
extends java.lang.Object

Field Summary
`static java.lang.String` | `NS_URI_ORACLE_LITERAL_XML` Oracle Literal-xml encoding style URI
`static java.lang.String` | `NS_URI_ORACLE_SOAP` SOAP EJB provider Id.
`static java.lang.String` | `NS_URI_ORACLE_SOAP_CONFIG` Namespace for SOAP configuration (soapConfig.xml).
`static java.lang.String` | `NS_URI_ORACLE_SOAP_DEPLOY_PROVIDER` Namespace for SOAP provider deployment.
`static java.lang.String` | `NS_URI_ORACLE_SOAP_DEPLOY_SERVICE` Namespace for SOAP service deployment.
`static java.lang.String` | `NS_URI_ORACLE_SOAP_SECURITY_AUDITING` Namespace for SOAP auditing.
`static java.lang.String` | `NS_URI_ORACLE_XML_SOAP` Oracle soap type qname namespace for serializer/deserializer
`static java.lang.String` | `NS_URN_ORACLE_SOAP` Namespace for SOAP EJB provider.

Constructor Summary
`OracleConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_URI_ORACLE_SOAP_CONFIG

    public static final java.lang.String NS_URI_ORACLE_SOAP_CONFIG

  Namespace for SOAP configuration (soapConfig.xml).
  See Also:
    Constant Field Values

### NS_URI_ORACLE_SOAP_DEPLOY_PROVIDER

    public static final java.lang.String NS_URI_ORACLE_SOAP_DEPLOY_PROVIDER

  Namespace for SOAP provider deployment.
  See Also:
    Constant Field Values

### NS_URI_ORACLE_SOAP_DEPLOY_SERVICE

    public static final java.lang.String NS_URI_ORACLE_SOAP_DEPLOY_SERVICE

  Namespace for SOAP service deployment.
  See Also:
    Constant Field Values

### NS_URI_ORACLE_SOAP_SECURITY_AUDITING

    public static final java.lang.String NS_URI_ORACLE_SOAP_SECURITY_AUDITING

  Namespace for SOAP auditing.
  See Also:
    Constant Field Values

### NS_URI_ORACLE_SOAP

    public static final java.lang.String NS_URI_ORACLE_SOAP

  SOAP EJB provider Id.
  See Also:
    Constant Field Values

### NS_URN_ORACLE_SOAP

    public static final java.lang.String NS_URN_ORACLE_SOAP

  Namespace for SOAP EJB provider.
  See Also:
    Constant Field Values

### NS_URI_ORACLE_LITERAL_XML

    public static final java.lang.String NS_URI_ORACLE_LITERAL_XML

  Oracle Literal-xml encoding style URI
  See Also:
    Constant Field Values

### NS_URI_ORACLE_XML_SOAP

    public static final java.lang.String NS_URI_ORACLE_XML_SOAP

  Oracle soap type qname namespace for serializer/deserializer
  See Also:
    Constant Field Values

Constructor Detail

### OracleConstants

    public OracleConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.